KD SOAP API Documentation: KDSoapServerSocket Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
KDSoapServerSocket Class Reference

`#include <KDSoapServerSocket_p.h>`

Inheritance diagram for KDSoapServerSocket:
[legend]
Collaboration diagram for KDSoapServerSocket:
[legend]

## Signals
void | socketDeleted (KDSoapServerSocket *)

## Public Member Functions
| KDSoapServerSocket (KDSoapSocketList *owner, QObject *serverObject)
| ~KDSoapServerSocket ()
void | sendDelayedReply (KDSoapServerObjectInterface *serverObjectInterface, const KDSoapMessage &replyMsg)
void | sendReply (KDSoapServerObjectInterface *serverObjectInterface, const KDSoapMessage &replyMsg)
void | setResponseDelayed ()
Public Member Functions inherited from QSslSocket
| QSslSocket (QObject *parent)
virtual | ~QSslSocket ()
void | abort ()
void | addCaCertificate (const QSslCertificate &certificate)
void | addCaCertificates (const QList< QSslCertificate > &certificates)
bool | addCaCertificates (const QString &path, QSsl::EncodingFormat format, QRegExp::PatternSyntax syntax)
virtual bool | atEnd () const const override
virtual qint64 | bytesAvailable () const const override
virtual qint64 | bytesToWrite () const const override
QList< QSslCertificate > | caCertificates () const const
virtual bool | canReadLine () const const override
QList< QSslCipher > | ciphers () const const
virtual void | close () override
void | connectToHostEncrypted (const QString &hostName, quint16 port, const QString &sslPeerName, QIODevice::OpenMode mode, QAbstractSocket::NetworkLayerProtocol protocol)
void | connectToHostEncrypted (const QString &hostName, quint16 port, QIODevice::OpenMode mode, QAbstractSocket::NetworkLayerProtocol protocol)
void | encrypted ()
qint64 | encryptedBytesAvailable () const const
qint64 | encryptedBytesToWrite () const const
void | encryptedBytesWritten (qint64 written)
bool | flush ()
void | ignoreSslErrors ()
void | ignoreSslErrors (const QList< QSslError > &errors)
bool | isEncrypted () const const
QSslCertificate | localCertificate () const const
QList< QSslCertificate > | localCertificateChain () const const
QSslSocket::SslMode | mode () const const
void | modeChanged (QSslSocket::SslMode mode)
void | newSessionTicketReceived ()
QVector< QOcspResponse > | ocspResponses () const const
QSslCertificate | peerCertificate () const const
QList< QSslCertificate > | peerCertificateChain () const const
int | peerVerifyDepth () const const
void | peerVerifyError (const QSslError &error)
QSslSocket::PeerVerifyMode | peerVerifyMode () const const
QString | peerVerifyName () const const
void | preSharedKeyAuthenticationRequired (QSslPreSharedKeyAuthenticator *authenticator)
QSslKey | privateKey () const const
QSsl::SslProtocol | protocol () const const
virtual void | resume () override
QSslCipher | sessionCipher () const const
QSsl::SslProtocol | sessionProtocol () const const
void | setCaCertificates (const QList< QSslCertificate > &certificates)
void | setCiphers (const QList< QSslCipher > &ciphers)
void | setCiphers (const QString &ciphers)
void | setLocalCertificate (const QSslCertificate &certificate)
void | setLocalCertificate (const QString &path, QSsl::EncodingFormat format)
void | setLocalCertificateChain (const QList< QSslCertificate > &localChain)
void | setPeerVerifyDepth (int depth)
void | setPeerVerifyMode (QSslSocket::PeerVerifyMode mode)
void | setPeerVerifyName (const QString &hostName)
void | setPrivateKey (const QSslKey &key)
void | setPrivateKey (const QString &fileName, QSsl::KeyAlgorithm algorithm, QSsl::EncodingFormat format, const QByteArray &passPhrase)
void | setProtocol (QSsl::SslProtocol protocol)
virtual void | setReadBufferSize (qint64 size) override
virtual bool | setSocketDescriptor (qintptr socketDescriptor, QAbstractSocket::SocketState state, QIODevice::OpenMode openMode) override
virtual void | setSocketOption (QAbstractSocket::SocketOption option, const QVariant &value) override
void | setSslConfiguration (const QSslConfiguration &configuration)
virtual QVariant | socketOption (QAbstractSocket::SocketOption option) override
QSslConfiguration | sslConfiguration () const const
QList< QSslError > | sslErrors () const const
void | sslErrors (const QList< QSslError > &errors)
QList< QSslError > | sslHandshakeErrors () const const
void | startClientEncryption ()
void | startServerEncryption ()
virtual bool | waitForBytesWritten (int msecs) override
virtual bool | waitForConnected (int msecs) override
virtual bool | waitForDisconnected (int msecs) override
bool | waitForEncrypted (int msecs)
virtual bool | waitForReadyRead (int msecs) override
Public Member Functions inherited from QTcpSocket
| QTcpSocket (QObject *parent)
virtual | ~QTcpSocket ()
Public Member Functions inherited from QAbstractSocket
| QAbstractSocket (QAbstractSocket::SocketType socketType, QObject *parent)
virtual | ~QAbstractSocket ()
void | abort ()
bool | bind (const QHostAddress &address, quint16 port, QAbstractSocket::BindMode mode)
bool | bind (quint16 port, QAbstractSocket::BindMode mode)
void | connected ()
virtual void | connectToHost (const QHostAddress &address, quint16 port, QIODevice::OpenMode openMode)
virtual void | connectToHost (const QString &hostName, quint16 port, QIODevice::OpenMode openMode, QAbstractSocket::NetworkLayerProtocol protocol)
void | disconnected ()
virtual void | disconnectFromHost ()
QAbstractSocket::SocketError | error () const const
void | error (QAbstractSocket::SocketError socketError)
void | errorOccurred (QAbstractSocket::SocketError socketError)
bool | flush ()
void | hostFound ()
virtual bool | isSequential () const const override
bool | isValid () const const
QHostAddress | localAddress () const const
quint16 | localPort () const const
QAbstractSocket::PauseModes | pauseMode () const const
QHostAddress | peerAddress () const const
QString | peerName () const const
quint16 | peerPort () const const
QString | protocolTag () const const
QNetworkProxy | proxy () const const
void | proxyAuthenticationRequired (const QNetworkProxy &proxy, QAuthenticator *authenticator)
qint64 | readBufferSize () const const
void | setPauseMode (QAbstractSocket::PauseModes pauseMode)
void | setProtocolTag (const QString &tag)
void | setProxy (const QNetworkProxy &networkProxy)
virtual qintptr | socketDescriptor () const const
QAbstractSocket::SocketType | socketType () const const
QAbstractSocket::SocketState | state () const const
void | stateChanged (QAbstractSocket::SocketState socketState)
Public Member Functions inherited from QIODevice
| QIODevice ()
| QIODevice (QObject *parent)
virtual | ~QIODevice ()
void | aboutToClose ()
void | bytesWritten (qint64 bytes)
void | channelBytesWritten (int channel, qint64 bytes)
void | channelReadyRead (int channel)
void | commitTransaction ()
int | currentReadChannel () const const
int | currentWriteChannel () const const
QString | errorString () const const
bool | getChar (char *c)
bool | isOpen () const const
bool | isReadable () const const
bool | isTextModeEnabled () const const
bool | isTransactionStarted () const const
bool | isWritable () const const
virtual bool | open (QIODevice::OpenMode mode)
QIODevice::OpenMode | openMode () const const
qint64 | peek (char *data, qint64 maxSize)
QByteArray | peek (qint64 maxSize)
virtual qint64 | pos () const const
bool | putChar (char c)
qint64 | read (char *data, qint64 maxSize)
QByteArray | read (qint64 maxSize)
QByteArray | readAll ()
int | readChannelCount () const const
void | readChannelFinished ()
qint64 | readLine (char *data, qint64 maxSize)
QByteArray | readLine (qint64 maxSize)
void | readyRead ()
virtual bool | reset ()
void | rollbackTransaction ()
virtual bool | seek (qint64 pos)
void | setCurrentReadChannel (int channel)
void | setCurrentWriteChannel (int channel)
void | setTextModeEnabled (bool enabled)
virtual qint64 | size () const const
qint64 | skip (qint64 maxSize)
void | startTransaction ()
void | ungetChar (char c)
qint64 | write (const char *data)
qint64 | write (const char *data, qint64 maxSize)
qint64 | write (const QByteArray &byteArray)
int | writeChannelCount () const const
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
bool | blockSignals (bool block)
const QObjectList & | children () const const
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const const
void | deleteLater ()
void | destroyed (QObject *obj)
bool | disconnect (const char *signal, const QObject *receiver, const char *method) const const
bool | disconnect (const QObject *receiver, const char *method) const const
void | dumpObjectInfo ()
void | dumpObjectInfo () const const
void | dumpObjectTree ()
void | dumpObjectTree () const const
QList< QByteArray > | dynamicPropertyNames () const const
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
T | findChild (const QString &name, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegExp &regExp, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QRegularExpression &re, Qt::FindChildOptions options) const const
QList< T > | findChildren (const QString &name, Qt::FindChildOptions options) const const
bool | inherits (const char *className) const const
void | installEventFilter (QObject *filterObj)
bool | isWidgetType () const const
bool | isWindowType () const const
void | killTimer (int id)
virtual const QMetaObject * | metaObject () const const
void | moveToThread (QThread *targetThread)
QString | objectName () const const
void | objectNameChanged (const QString &objectName)
QObject * | parent () const const
QVariant | property (const char *name) const const
| Q_CLASSINFO (Name, Value)
| Q_DISABLE_COPY (Class)
| Q_DISABLE_COPY_MOVE (Class)
| Q_DISABLE_MOVE (Class)
| Q_EMIT Q_EMIT
| Q_ENUM (...)
| Q_ENUM_NS (...)
| Q_ENUMS (...)
| Q_FLAG (...)
| Q_FLAG_NS (...)
| Q_FLAGS (...)
| Q_GADGET Q_GADGET
| Q_INTERFACES (...)
| Q_INVOKABLE Q_INVOKABLE
| Q_NAMESPACE Q_NAMESPACE
| Q_NAMESPACE_EXPORT (EXPORT_MACRO)
| Q_OBJECT Q_OBJECT
| Q_PROPERTY (...)
| Q_REVISION Q_REVISION
| Q_SET_OBJECT_NAME (Object)
| Q_SIGNAL Q_SIGNAL
| Q_SIGNALS Q_SIGNALS
| Q_SLOT Q_SLOT
| Q_SLOTS Q_SLOTS
T | qFindChild (const QObject *obj, const QString &name)
QList< T > | qFindChildren (const QObject *obj, const QRegExp &regExp)
QList< T > | qFindChildren (const QObject *obj, const QString &name)
T | qobject_cast (const QObject *object)
T | qobject_cast (QObject *object)
| QT_NO_NARROWING_CONVERSIONS_IN_CONNECT QT_NO_NARROWING_CONVERSIONS_IN_CONNECT
void | removeEventFilter (QObject *obj)
void | setObjectName (const QString &name)
void | setParent (QObject *parent)
bool | setProperty (const char *name, const QVariant &value)
bool | signalsBlocked () const const
int | startTimer (int interval, Qt::TimerType timerType)
int | startTimer (std::chrono::milliseconds time, Qt::TimerType timerType)
QThread * | thread () const const

## Additional Inherited Members
Public Types inherited from QSslSocket
enum | PeerVerifyMode
enum | SslMode
Public Types inherited from QAbstractSocket
enum | BindFlag
enum | NetworkLayerProtocol
enum | PauseMode
enum | SocketError
enum | SocketOption
enum | SocketState
enum | SocketType
Public Types inherited from QIODevice
enum | OpenModeFlag
Static Public Member Functions inherited from QSslSocket
void | addDefaultCaCertificate (const QSslCertificate &certificate)
void | addDefaultCaCertificates (const QList< QSslCertificate > &certificates)
bool | addDefaultCaCertificates (const QString &path, QSsl::EncodingFormat encoding, QRegExp::PatternSyntax syntax)
QList< QSslCertificate > | defaultCaCertificates ()
QList< QSslCipher > | defaultCiphers ()
void | setDefaultCaCertificates (const QList< QSslCertificate > &certificates)
void | setDefaultCiphers (const QList< QSslCipher > &ciphers)
long | sslLibraryBuildVersionNumber ()
QString | sslLibraryBuildVersionString ()
long | sslLibraryVersionNumber ()
QString | sslLibraryVersionString ()
QList< QSslCipher > | supportedCiphers ()
bool | supportsSsl ()
QList< QSslCertificate > | systemCaCertificates ()
Static Public Member Functions inherited from QObject
QMetaObject::Connection | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *context, Functor functor, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method, Qt::ConnectionType type)
QMetaObject::Connection | connect (const QObject *sender, PointerToMemberFunction signal, Functor functor)
bool | disconnect (const QMetaObject::Connection &connection)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
bool | disconnect (const QObject *sender, PointerToMemberFunction signal, const QObject *receiver, PointerToMemberFunction method)
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
Public Attributes inherited from QSslSocket
| AutoVerifyPeer
| QueryPeer
| SslClientMode
| SslServerMode
| UnencryptedMode
| VerifyNone
| VerifyPeer
Public Attributes inherited from QAbstractSocket
| AddressInUseError
| AnyIPProtocol
typedef | BindMode
| BoundState
| ClosingState
| ConnectedState
| ConnectingState
| ConnectionRefusedError
| DatagramTooLargeError
| DefaultForPlatform
| DontShareAddress
| HostLookupState
| HostNotFoundError
| IPv4Protocol
| IPv6Protocol
| KeepAliveOption
| ListeningState
| LowDelayOption
| MulticastLoopbackOption
| MulticastTtlOption
| NetworkError
| OperationError
| PathMtuSocketOption
typedef | PauseModes
| PauseNever
| PauseOnSslErrors
| ProxyAuthenticationRequiredError
| ProxyConnectionClosedError
| ProxyConnectionRefusedError
| ProxyConnectionTimeoutError
| ProxyNotFoundError
| ProxyProtocolError
| ReceiveBufferSizeSocketOption
| RemoteHostClosedError
| ReuseAddressHint
| SctpSocket
| SendBufferSizeSocketOption
| ShareAddress
| SocketAccessError
| SocketAddressNotAvailableError
| SocketResourceError
| SocketTimeoutError
| SslHandshakeFailedError
| SslInternalError
| SslInvalidUserDataError
| TcpSocket
| TemporaryError
| TypeOfServiceOption
| UdpSocket
| UnconnectedState
| UnfinishedSocketOperationError
| UnknownNetworkLayerProtocol
| UnknownSocketError
| UnknownSocketType
| UnsupportedSocketOperationError
Public Attributes inherited from QIODevice
| Append
| ExistingOnly
| NewOnly
| NotOpen
typedef | OpenMode
| ReadOnly
| ReadWrite
| Text
| Truncate
| Unbuffered
| WriteOnly
Public Attributes inherited from QObject
typedef | QObjectList
Protected Member Functions inherited from QSslSocket
virtual qint64 | readData (char *data, qint64 maxlen) override
virtual qint64 | writeData (const char *data, qint64 len) override
Protected Member Functions inherited from QAbstractSocket
virtual qint64 | readLineData (char *data, qint64 maxlen) override
void | setLocalAddress (const QHostAddress &address)
void | setLocalPort (quint16 port)
void | setPeerAddress (const QHostAddress &address)
void | setPeerName (const QString &name)
void | setPeerPort (quint16 port)
void | setSocketError (QAbstractSocket::SocketError socketError)
void | setSocketState (QAbstractSocket::SocketState state)
Protected Member Functions inherited from QIODevice
void | setErrorString (const QString &str)
void | setOpenMode (QIODevice::OpenMode openMode)
Protected Member Functions inherited from QObject
virtual void | childEvent (QChildEvent *event)
virtual void | connectNotify (const QMetaMethod &signal)
virtual void | customEvent (QEvent *event)
virtual void | disconnectNotify (const QMetaMethod &signal)
bool | isSignalConnected (const QMetaMethod &signal) const const
int | receivers (const char *signal) const const
QObject * | sender () const const
int | senderSignalIndex () const const
virtual void | timerEvent (QTimerEvent *event)
Properties inherited from QObject
| objectName

## Detailed Description

Definition at line 29 of file KDSoapServerSocket_p.h.

## Constructor & Destructor Documentation

## ◆ KDSoapServerSocket()

KDSoapServerSocket::KDSoapServerSocket | ( | KDSoapSocketList * | owner,
|  | QObject * | serverObject
| ) |  |

Definition at line 31 of file KDSoapServerSocket.cpp.

References QIODevice::readyRead().

## ◆ ~KDSoapServerSocket()

KDSoapServerSocket::~KDSoapServerSocket | ( |  | ) |

Definition at line 53 of file KDSoapServerSocket.cpp.

References QObject::qobject_cast(), and socketDeleted().

## Member Function Documentation

## ◆ sendDelayedReply()

void KDSoapServerSocket::sendDelayedReply | ( | KDSoapServerObjectInterface * | serverObjectInterface,
|  | const KDSoapMessage & | replyMsg
| ) |  |

Definition at line 515 of file KDSoapServerSocket.cpp.

References QObject::qobject_cast(), and sendReply().

Referenced by KDSoapServerObjectInterface::sendDelayedResponse().

## ◆ sendReply()

void KDSoapServerSocket::sendReply | ( | KDSoapServerObjectInterface * | serverObjectInterface,
|  | const KDSoapMessage & | replyMsg
| ) |  |

Definition at line 472 of file KDSoapServerSocket.cpp.

References QString::fromLatin1(), KDSoapServer::LogEveryCall, KDSoapServer::LogFaults, KDSoapServer::logLevel(), KDSoapServer::LogNothing, QObject::qobject_cast(), KDSoapSocketList::server(), and QString::toLatin1().

Referenced by sendDelayedReply().

## ◆ setResponseDelayed()

void KDSoapServerSocket::setResponseDelayed | ( |  | ) |

Definition at line 522 of file KDSoapServerSocket.cpp.

## ◆ socketDeleted

void KDSoapServerSocket::socketDeleted | ( | KDSoapServerSocket * |  | ) |
| signal

Referenced by ~KDSoapServerSocket(), and KDSoapSocketList::handleIncomingConnection().

The documentation for this class was generated from the following files:

- KDSoapServerSocket_p.h
- KDSoapServerSocket.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8